<?PHP

#######################
# Module: Real Visitor v.1
# Developed by IMP
# IranDatalife.com
#######################


if( !defined( 'DATALIFEENGINE' ) ) {
	header( "HTTP/1.1 403 Forbidden" );
	header ( 'Location: ../../' );
	die( 'Hacking attempt!' );
}

define( 'VISITORS_DATA', ENGINE_DIR . '/modules/imp_real_visitor/history.txt' );

// Get real ip function
function getUserIpAddr() {
    if ( !empty( $_SERVER['HTTP_CLIENT_IP'] ) ) {
        //ip from share internet
        $UserIP = $_SERVER['HTTP_CLIENT_IP'];
    } elseif ( !empty( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) {
        //ip pass from proxy
        $UserIP = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $UserIP = $_SERVER['REMOTE_ADDR'];
    }
    return $UserIP;
}

$Visitor_IP = getUserIpAddr();

//Get Counter Values
$Data_Old = unserialize( file_get_contents( VISITORS_DATA ) );

// Today date
$Today_Date = date( 'Ymd' );

// Check new day
$Is_New_Day = ( $Data_Old['TODAY'] === $Today_Date ) ? false : true;

// Make new data for the new day
if ( $Is_New_Day || !is_array( $Data_Old ) ) {

  // Generate new data
  $Today_Total = '1';
  $New_Counter_Data = array( 'TODAY' => $Today_Date, 'TOTAL' => $Today_Total, 'IP_LIST' => array( getUserIpAddr() ) );

} else {


  if ( in_array( $Visitor_IP, $Data_Old['IP_LIST'] ) ) {
    $Data_Old['IP_LIST'] = $Data_Old['IP_LIST'];
    $Today_Total = $Data_Old['TOTAL'];
  } else {
    $Data_Old['IP_LIST'][] = $Visitor_IP;
    $Today_Total = $Data_Old['TOTAL'] + 1;
  }

  // Update the old data
  $New_Counter_Data = array( 'TODAY' => $Today_Date, 'TOTAL' => $Today_Total,  'IP_LIST' => $Data_Old['IP_LIST'] );

}

// Submit new data to the text file
file_put_contents( VISITORS_DATA, serialize( $New_Counter_Data ) );

// Generate new template
$tpl_b = new dle_template();
$tpl_b->dir = ROOT_DIR . '/engine/modules/imp_real_visitor/';

// Load templates
$tpl_b->load_template( 'template.tpl' );
  $tpl_b->set( '{today}', $Today_Total );
$tpl_b->compile( 'real_visitors' );
$tpl_b->clear();

echo $tpl_b->result['real_visitors'];